Create a Tweet Thread
curl --request POST \
--url https://api.twexapi.io/v3/twitter/tweets/create-thread \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
"1/ hello",
"2/ world"
],
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"proxy": "http://username:password@ip:port"
}
'import requests
url = "https://api.twexapi.io/v3/twitter/tweets/create-thread"
payload = {
"items": ["1/ hello", "2/ world"],
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"proxy": "http://username:password@ip:port"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: ['1/ hello', '2/ world'],
cookie: 'ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7',
proxy: 'http://username:password@ip:port'
})
};
fetch('https://api.twexapi.io/v3/twitter/tweets/create-thread', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"msg": "success",
"data": {
"tweets": [
{
"id": "1234567890123456789"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Tweet Actions Endpoints
Create a Tweet Thread
Create a tweet thread from an ordered list of texts, $0.0025 per call.
POST
/
v3
/
twitter
/
tweets
/
create-thread
Create a Tweet Thread
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Parameters for creating a tweet thread
JSON array of tweet texts, e.g. ["1/ hello","2/ world"].
Minimum array length:
1Example:
["1/ hello", "2/ world"]Twitter authentication cookie or Twitter auth_token, how-to-get-twitter-cookie
Example:
"ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7"
Proxy ref for session. Example: http://username:password@ip:port [blocked]
Example:
"http://username:password@ip:port"
⌘I